Inhalte
Index 🔎︎

# IsObject Function

Testet, ob eine Variable ein Objekt ist, im Gegensatz zu primitiven Datentypen wie Datumsangaben, Zahlen, Texte. Die Funktion gibt True zurück, wenn die Variable ein Objekt ist, anderenfalls gibt sie False zurück.

This function returns True for the following object types:

- OLE- oder UNO-Objekte

- Objektinstanzen Klassenmodul

- Erweiterte Typen oder Aufzählungen

- Routinen oder Variablen, wenn sie als Objekt definiert sind.

- LibreOffice Basic-Module

Datenstrukturen geben True zurück, auch wenn sie leer sind. Objektdefinierte Variablen geben True zurück, auch wenn sie nicht initialisiert sind.

### Syntax:

IsObject(var)

### Rückgabewert:

Boolean

### Parameter:

var: The variable to be tested.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

Verwandte Themen

EqualUnoObjects Function

Anweisung Enum

Anweisung Option ClassModule

Anweisung Type

Variablen verwenden